package jumapacelaya.gob.mx.cobranza.controlador;

import java.util.List;
import java.util.Optional;

import io.micronaut.http.annotation.Controller;
import io.micronaut.http.annotation.Get;
import jakarta.inject.Inject;
import jumapacelaya.gob.mx.cobranza.dto.detalleCarteraDTO;
import jumapacelaya.gob.mx.cobranza.servicio.CobranzaServicio;

@Controller("/cobranza")
public class CobranzaControlador {

    @Inject
    CobranzaServicio servicio;

    @Get("/tblcarteravencida/totalpredios")
    public int obtenerTotalPredios() {
        return servicio.obtenerTotalPredios();
    }

    @Get("/tblcarteravencida/detallepredios{?page,size}")
        public List<detalleCarteraDTO> obtenerDetalleCartera(Optional<Integer> page, Optional<Integer> size) {
        int pageNumber = page.orElse(1);
        int pageSize = size.orElse(10);
        return servicio.obtenerDetalleCartera(pageNumber, pageSize);
    }

    @Get("/tblcarteravencida/detallepredios/{predioid}")
    public List<detalleCarteraDTO> obtenerDetallePorPredio(Long predioid) {
        return servicio.obtenerDetallePorPredio(predioid);
    }

}
